timeline
Return a list of time intervals and the number of detections for each interval, including intervals where no source images were captured, along with meta information.
GET /api/v2/events/527/timeline/?format=api
{ "data": [ { "start": "2021-05-06T21:08:06", "end": "2021-05-06T21:09:06", "first_capture": { "id": 1904525, "details": "https://api.beluga.insectai.org/api/v2/captures/1904525/?format=api", "user_permissions": [] }, "top_capture": { "id": 1904529, "details": "https://api.beluga.insectai.org/api/v2/captures/1904529/?format=api", "user_permissions": [] }, "captures_count": 5, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-06T21:09:06", "end": "2021-05-06T21:10:06", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-06T21:10:06", "end": "2021-05-06T21:11:06", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-06T21:11:06", "end": "2021-05-06T21:12:06", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-06T21:12:06", "end": "2021-05-06T21:13:06", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2021-05-06T21:13:06", "end": "2021-05-06T21:13:34", "first_capture": { "id": 1904530, "details": "https://api.beluga.insectai.org/api/v2/captures/1904530/?format=api", "user_permissions": [] }, "top_capture": { "id": 1904533, "details": "https://api.beluga.insectai.org/api/v2/captures/1904533/?format=api", "user_permissions": [] }, "captures_count": 4, "detections_count": 0, "detections_avg": 0, "was_processed": false } ], "meta": { "total_intervals": 6, "resolution_minutes": 1, "max_detections": 0, "min_detections": 0, "total_detections": 0, "timeline_start": "2021-05-06T21:08:06", "timeline_end": "2021-05-06T21:13:34" } }